package com.gci.cdenv.data.consume.app.modules.common.enums;

import java.util.Arrays;
import java.util.Objects;

/**
 * @author lyz
 * @date 2023/10/23 10:34
 */
public enum WorkType {

    /**
     * 工作类型枚举
     */
    WORK(1, "作业"),
    NOT_WORK(0, "未作业"),
    INVALID(-1, "无效");

    private final int code;
    private final String description;

    WorkType(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public static String getName(int value) {
        WorkType eventType = Arrays.stream(WorkType.values()).filter(a -> {
            return a.code == value;
        }).findFirst().orElse(null);
        return Objects.nonNull(eventType) ? eventType.getDescription() : "";
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }
}
