package com.gci.cdenv.data.consume.app.modules.common.util;

import cn.hutool.core.util.StrUtil;
import cn.hutool.core.util.URLUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.alibaba.fastjson.JSONObject;
import com.gci.cdenv.data.consume.app.modules.common.RedisKey;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

/**
 * @author 24642
 */
@Component
@RequiredArgsConstructor
public class CdUrlUtil {
    @Autowired
    private final StringRedisTemplate redisTemplate;

    @Value("${cdgfhw.appKey}")
    private String appKey;

    @Value("${cdgfhw.appSecret}")
    private String appSecret;

    @Value("${cdgfhw.prefixUrl}")
    private String prefixUrl;

    @Value("${cdgfhw.getToken}")
    private String getToken;

    @Value("${cdgfhw.gpsOil}")
    private String gpsOil;

    public String getToken () {
        String token = redisTemplate.opsForValue().get(RedisKey.CDGFHW_TOKEN);
        if (StrUtil.isBlank(token)) {
            return getReToken();
        } else {
            return token;
        }
    }

    public String getReToken(){
        String url = URLUtil.completeUrl(prefixUrl, getToken);
        HttpResponse execute = HttpRequest.get(url)
                .form("appKey", appKey)
                .form("appSecret", appSecret).execute();
        String body = execute.body();
        JSONObject jsonObject = JSONObject.parseObject(body);
        String data = jsonObject.getString("data");
        redisTemplate.opsForValue().set(RedisKey.CDGFHW_TOKEN,data);
        return data;
    }

    public void pushGpsOil(String jsonArray) {
        String token = getToken();
        String url = URLUtil.completeUrl(prefixUrl, gpsOil);
        HttpResponse execute = HttpRequest.post(url)
                .header("accessToken", token).header("Content-Type","application/json; charset=utf-8")
                .header("Accept", "application/json; charset=utf-8")
                .body(jsonArray).execute();
        String body = execute.body();
        JSONObject jsonObject = JSONObject.parseObject(body);
        String message = jsonObject.getString("message");
        if (StrUtil.isNotBlank(message)) {
            if (message.contains("身份认证失败")) {
                token = getReToken();
                String re = HttpRequest.post(url)
                        .header("accessToken", token).header("Content-Type","application/json; charset=utf-8")
                        .header("Accept", "application/json; charset=utf-8")
                        .body(jsonArray).execute().body();
            }
        }
    }
}
