package com.gci.cdenv.data.consume.app.modules.common.util;

import com.gci.cdenv.data.consume.app.modules.gps.constant.ProjectHandleType;

import java.util.Arrays;
import java.util.List;

/**
 * @author lyz
 * @date 2023/10/23 10:32
 */
public class PlateNumberUtil {

    public static String getHandleType(String projectId, String projectName) {
        ProjectHandleType[] values = ProjectHandleType.values();
        return Arrays.stream(values).filter(p -> {
            return p.getProjectId().equals(projectId) || p.getProjectName().equals(projectName);
        }).findFirst().map(ProjectHandleType::getType).orElse("-1");
    }


    public static boolean ttszWhiteList(String projectId, String projectName) {
        return "1692520325662355457".equals(projectId) || "天投市政项目".equals(projectName);
    }

    public static boolean whiteList(String plateNumber) {
        String[] array = new String[]{"川A06379D", "川AAQ6821", "川AAQ2056", "川AAQ3102", "川AAQ2611", "川AAQ5851", "川AAQ0863", "川AAQ2691",
                "川AAQ1823", "川A05859D", "川A19458D", "川A14363D", "川A05109D", "川A13897D", "川A18151D", "川A11036D", "A09439D",
                "川A11008D", "川A10756D", "川A08246D", "川A01155D", "川A05653D", "川A05029D", "川A12075D", "川A09171D", "川A15171D",
                "川A02496D", "川A15560D", "川A06673D", "川A04881D", "川A17221D", "川A10335D", "川A00705D", "川A05621D", "川A17595D",
                "川A10721D", "川A16002D", "川A19039D", "川A12483D", "川A03315D", "川A14169D", "川A14577D", "川A17291D", "川A13788D",
                "川A17215D", "川A01498D", "川A19648D", "川A03606D", "川A18821D", "川A14565D", "川A05017D", "川A14801D", "川A09597D",
                "川A14993D", "川A19450D", "川A04682D", "川A13589D", "川A07422D", "川A06246D", "川A09810D", "川A14806D", "川A07433D",
                "川A08438D", "川A06913D", "川A02489D", "川A13529D", "川A01167D", "川A14890D", "川A14255D", "川A03493D", "川A05197D",
                "川A14276D", "川A03997D", "川A14319D", "川A04870D"};
        List<String> whileList = Arrays.asList(array);
        return whileList.contains(plateNumber);
    }

    public static boolean isFuLongMa(String plateNumber) {
        String[] array = new String[]{"川A06379D", "川AAQ6821", "川AAQ2056", "川AAQ3102", "川AAQ2611", "川AAQ5851", "川AAQ0863", "川AAQ2691",
                "川AAQ1823", "川A05859D", "川A19458D", "川A14363D", "川A05109D", "川A13897D", "川A18151D", "川A11036D", "A09439D",
                "川A11008D", "川A10756D", "川A08246D", "川A01155D", "川A05653D", "川A05029D", "川A12075D", "川A09171D", "川A15171D",
                "川A02496D", "川A15560D", "川A06673D", "川A04881D", "川A17221D", "川A10335D", "川A00705D", "川A05621D", "川A17595D",
                "川A10721D", "川A16002D", "川A19039D", "川A12483D", "川A03315D"};
        List<String> whileList = Arrays.asList(array);
        return whileList.contains(plateNumber);
    }
}
