package com.gci.cdenv.data.consume.app.modules.gps.constant;

import java.util.Arrays;

/**
 * @author 24642
 */

public enum GearPositionType {
    /**
     * 挡位
     */
    NEUTRAL_GEAR("空挡","0"),
    FIRST_GEAR("1档","1"),
    SECOND_GEAR("2档","2"),
    THIRD_GEAR("3档","3"),
    FOURTH_GEAR("4档","4"),
    FIFTH_GEAR("5档","5"),
    SIXTH_GEAR("6档","6"),
    SEVENTH_GEAR("7档","7"),
    EIGHTH_GEAR("8档","8"),
    NINTH_GEAR("9档","9"),
    TENTH_GEAR("10档","10"),
    ELEVENTH_GEAR("11档","11"),
    TWELFTH_GEAR("12档","12"),
    REVERSE_GEAR("倒挡","14"),
    D_GEAR("D档","13"),
    P_GEAR("P档","15");

    private final String name;
    private final String code;

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    GearPositionType(String name, String code) {
        this.name = name;
        this.code = code;
    }
    public static String getNameByCode (String code) {
        GearPositionType[] values = GearPositionType.values();
        GearPositionType gearPositionType = Arrays.stream(values).sequential().filter(i -> code.equals(i.getCode())).findFirst().orElse(null);
        if (gearPositionType == null) {
            return NEUTRAL_GEAR.getName();
        } else {
            return gearPositionType.getName();
        }
    }
}
