package com.gci.cdenv.data.consume.app.modules.gps.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Objects;

/**
 * @author lyz
 * @date 2023/8/30 15:37
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ActiveSafetyDto {
    /**
     * 报警事件标识
     */
    private String warnNo;
    /**
     * 终端设备id
     */
    private String deviceId;
    /**
     * 标志状态 -0-可用 1-开始 2-结束
     */
    private Integer flagStatus;
    /**
     * 一级类型 1-辅助驾驶 2-驾驶员行为
     */
    private Integer primaryType;
    /**
     * 事件类型
     */
    private Integer eventType;
    /**
     * 前车车速，单位km/h,仅前向碰撞或车道偏离时有效
     */
    private Integer precedingVehicleSpeed;
    /**
     * 前车/行人距离，仅前向碰撞、车道偏离、行人碰撞有效
     */
    private Integer precedingDistance;
    /**
     * 偏离类型: 1-左侧偏离 2-右侧偏离 仅车道偏离时有效
     */
    private Integer deviationType;
    /**
     * 道路标志类型:包括1-限速、2-限高、3-限重标志。仅为道路标识超限、道路标志识别时有效
     */
    private Integer roadSignType;
    /**
     * 疲劳程度，范围1~10 仅在疲劳驾驶有效
     */
    private Integer fatigueLevel;
    /**
     * 报警级别，1-1级报警 2-2级报警
     */
    private Integer alertLevel;
    /**
     * 车速 单位km/h
     */
    private Integer vehicleSpeed;
    /**
     * 高程 单位 m
     */
    private Integer elevation;
    /**
     * 纬度 gs84
     */
    private BigDecimal lat;
    /**
     * 经度 gs84
     */
    private BigDecimal lon;
    /**
     * 告警时间
     */
    private Date alertTime;
    /**
     * acc状态 0-关闭 1-打开
     */
    private Integer accStatus;
    /**
     * 左转向状态 0-关闭 1-打开
     */
    private Integer leftTurnStatus;
    /**
     * 右转向状态 0-关闭 1-打开
     */
    private Integer rightTurnStatus;
    /**
     * 雨刮器状态 0-关闭 1-打开
     */
    private Integer wiperStatus;
    /**
     * 制动状态 0-未制动 1-制动
     */
    private Integer brakeStatus;
    /**
     * 插卡状态 0-未插卡 1-已插卡
     */
    private Integer cardInsertStatus;

    public BigDecimal getLat(){
        return Objects.nonNull(lat)?lat.setScale(6,BigDecimal.ROUND_HALF_UP):null;
    }

    public BigDecimal getLon(){
        return Objects.nonNull(lon)?lon.setScale(6,BigDecimal.ROUND_HALF_UP):null;
    }

}
