package com.gci.cdenv.data.consume.app.modules.gps.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class AlarmDataDTO {
    /**
     * 最高报警等级
     */
    @JSONField(name = "maxAlarmLevel")
    private Integer maxAlarmLevel;
    /**
     * 温度差异报警
     */
    @JSONField(name = "temperatureDifferenceAlarm")
    private Integer temperatureDifferenceAlarm;
    /**
     * 电池高温报警
     */
    @JSONField(name = "batteryHighTemperatureAlarm")
    private Integer batteryHighTemperatureAlarm;
    /**
     * 车载储能装置过压报警
     */
    @JSONField(name = "overVoltageAlarm")
    private Integer overVoltageAlarm;
    /**
     * 车载储能装置欠压报警
     */
    @JSONField(name = "underVoltageAlarm")
    private Integer underVoltageAlarm;
    /**
     * SOC过低报警
     */
    @JSONField(name = "lowSocAlarm")
    private Integer lowSocAlarm;
    /**
     * 单体电池过压报警
     */
    @JSONField(name = "overVoltageSingleBatteryAlarm")
    private Integer overVoltageSingleBatteryAlarm;
    /**
     * 单体电池欠压报警
     */
    @JSONField(name = "underVoltageSingleBatteryAlarm")
    private Integer underVoltageSingleBatteryAlarm;
    /**
     * SOC过高报警
     */
    @JSONField(name = "highSocAlarm")
    private Integer highSocAlarm;
    /**
     * SOC跳变报警
     */
    @JSONField(name = "socJumpAlarm")
    private Integer socJumpAlarm;
    /**
     * 可充电储能不匹配报警
     */
    @JSONField(name = "mismatchedEnergyStorageAlarm")
    private Integer mismatchedEnergyStorageAlarm;
    /**
     * 电池单体一致性差报警
     */
    @JSONField(name = "batteryInconsistencyAlarm")
    private Integer batteryInconsistencyAlarm;
    /**
     * 绝缘报警
     */
    @JSONField(name = "insulationAlarm")
    private Integer insulationAlarm;
    /**
     * DC-DC温度报警
     */
    @JSONField(name = "dcDcTemperatureAlarm")
    private Integer dcDcTemperatureAlarm;
    /**
     * 制动系统报警
     */
    @JSONField(name = "brakeSystemAlarm")
    private Integer brakeSystemAlarm;
    /**
     * DC-DC状态报警
     */
    @JSONField(name = "dcDcStatusAlarm")
    private Integer dcDcStatusAlarm;
    /**
     * 驱动电机控制器温度报警
     */
    @JSONField(name = "motorControllerTemperatureAlarm")
    private Integer motorControllerTemperatureAlarm;
    /**
     * 高压互锁状态报警
     */
    @JSONField(name = "highVoltageInterlockStatusAlarm")
    private Integer highVoltageInterlockStatusAlarm;
    /**
     * 驱动电机温度报警
     */
    @JSONField(name = "driveMotorTemperatureAlarm")
    private Integer driveMotorTemperatureAlarm;
    /**
     * 车载储能装置过充报警
     */
    @JSONField(name = "overChargeAlarm")
    private Integer overChargeAlarm;
    /**
     * 可充电储能装置故障总数
     */
    @JSONField(name = "energyStorageFaultCount")
    private Integer energyStorageFaultCount;
    /**
     * 驱动电机故障总数
     */
    @JSONField(name = "driveMotorFaultCount")
    private Integer driveMotorFaultCount;
    /**
     * 发动电机故障总数
     */
    @JSONField(name = "engineFaultCount")
    private Integer engineFaultCount;
    /**
     * 其他故障总数
     */
    @JSONField(name = "otherFaultCount")
    private Integer otherFaultCount;
}