package com.gci.cdenv.data.consume.app.modules.gps.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author lyz
 * @date 2023/8/30 13:44
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GpsDto {
    /**
     * 数据采集时间
     */
    private String time;

    /**
     * 属性，保留字段
     */
    private Map<String, Object> attr;
    /**
     * 定位数据
     */
    private GpsData data;

    /**
     * 整车三电数据 来源为2-eic时才有
     */
    private VehicleDTO vehicleDTO;


    /**
     * engine 发动机 源为2-eic时才有
     */
    private EngineDTO engine;
    /**
     * extremeData 极值 源为2-eic时才有
     */
    private ExtremeDataDTO extremeData;
    /**
     * alarmData 报警 源为2-eic时才有
     */
    private AlarmDataDTO alarmData;
    /**
     * location 车辆位置 源为2-eic时才有
     */
    private LocationDTO location;
    /**
     * electricMotor 驱动电机 源为2-eic时才有
     */
    private List<ElectricMotorDTO> electricMotor;

    /**
     * gps数据来源  1-808,2-eic 3-1078
     */
    private Integer source = 1;

    /**
     * 终端直连 1-是 0-否
     */
    private Integer terminalConn;

    /**
     * 数据是否是808来源
     * @return
     */
    public boolean is808() {
        return 1 == source;
    }

    /**
     * 数据是否是eic来源
     * @return
     */
    public boolean isEic() {
        return 2 == source;
    }
}
