package com.gci.cdenv.data.consume.app.modules.gps.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author lyz
 * @date 2023/12/5 15:50
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GpsOuterRedisDTO {
    /**
     * 设备Id (固定为
     * vehic)+设备编码(建议用
     * 车牌号，如苏E12345）
     */
    private String guid;
    /**
     *  unix 时间戳
     */
    private Long gpsTime;
    /**
     * 是否GPS定
     * 位
     */
    private Boolean gpsValid;
    /**
     * 定位卫星的数量
     */
    private Integer gpsCount;
    /**
     * 经度
     */
    private BigDecimal gpsLongitude;
    /**
     * 纬度
     */
    private BigDecimal gpsLatitude;
    /**
     *  GPS速度
     */
    private BigDecimal gpsSpeed;
    /**
     * 方向
     */
    private String gpsDirection;
    /**
     *  GPS里程
     */
    private BigDecimal gpsMileage;
    /**
     * 海拔
     */
    private BigDecimal gpsAltitude;
    /**
     * 车辆ACC点
     * 火状态
     */
    private Boolean ignitionStatus;
    /**
     * 车辆常火状
     * 态
     */
    private Boolean fireStatus;
    /**
     * GPS天线状
     * 态
     */
    private Boolean gpsStatus;
    /**
     * 车辆行驶速
     * 度
     */
    private BigDecimal speed;
    /**
     * 作业开关量0
     */
    private Boolean switching0;
    /**
     * 油量是否是新数值
     */
    private Boolean isNewVal;
    /**
     * 油量传感器
     * 的测量类型
     */
    private String measureType;
    /**
     * 剩余量
     */
    private BigDecimal remainVal;
    /**
     * 剩余量单位
     */
    private String remainUnit;
    /**
     * 消耗量
     */
    private BigDecimal usedVal;
    /**
     * 消耗量单位
     */
    private String  usedUnit;

}
