package com.gci.cdenv.data.consume.app.modules.gps.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 24642
 */
@Data
public class VehicleDTO {
    /**
     * 车辆状态1-启动2-熄火3-其它-99-无效-100：异常
     */
    @JSONField(name = "status")
    private Integer status;
    /**
     * 充电状态1-停车充电、2-行驶充电、3-未充电4-充电完成、-99-无效、-100-异常
     */
    @JSONField(name = "chargeStatus")
    private Integer chargeStatus;
    /**
     * 运行模式1-纯电2-混动3-燃油-99-无效、-100-异常
     */
    @JSONField(name = "operatingMode")
    private Integer operatingMode;
    /**
     * 速度单位km/h
     */
    @JSONField(name = "speed")
    private BigDecimal speed;
    /**
     * 累计里程单位km
     */
    @JSONField(name = "totalMileage")
    private BigDecimal totalMileage;
    /**
     * 总电压单位V
     */
    @JSONField(name = "totalVoltage")
    private BigDecimal totalVoltage;
    /**
     * 总电流单位v
     */
    @JSONField(name = "totalCurrent")
    private BigDecimal totalCurrent;
    /**
     * 剩余电量比例%
     */
    @JSONField(name = "stateOfCharge")
    private BigDecimal stateOfCharge;
    /**
     * 1-工作2-断开
     */
    @JSONField(name = "dcDcStatus")
    private Integer dcDcStatus;
    /**
     * 挡位
     */
    @JSONField(name = "gearPosition")
    private String gearPosition;
    /**
     * 绝缘电阻单位kΩ
     */
    @JSONField(name = "insulationResistance")
    private Integer insulationResistance;
}
