package com.gci.cdenv.data.consume.app.modules.gps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 主动安全故障记录表
 * </p>
 *
 * @author lyz
 * @since 2023-08-31
 */
@Getter
@Setter
@TableName("tb_gis_active_safety_alarm")
public class GisActiveSafetyAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 车牌号
     */
    private String plateNumber;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 主动安全设备标识
     */
    private String adasNo;

    /**
     * 主动安全事件标识
     */
    private String warnNo;

    /**
     * 标志状态 -1-不可用 0-开始 1-结束
     */
    private Integer flagStatus;

    /**
     * 一级类型 1-辅助驾驶 2-驾驶员行为
     */
    private Integer primaryType;

    /**
     * 事件类型
     */
    private String eventType;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 前车车速，单位km/h,仅前向碰撞或车道偏离时有效
     */
    private Integer precedingVehicleSpeed;

    /**
     * 前车/行人距离，仅前向碰撞、车道偏离、行人碰撞有效
     */
    private Integer precedingDistance;

    /**
     * 偏离类型: 1-左侧偏离 2-右侧偏离 仅车道偏离时有效
     */
    private Integer deviationType;

    /**
     * 道路标志类型:包括1-限速、2-限高、3-限重标志。仅为道路标识超限、道路标志识别时有效
     */
    private Integer roadsignType;

    /**
     * 疲劳程度，范围1~10 仅在疲劳驾驶有效
     */
    private Integer fatigueLevel;

    /**
     * 报警级别，1-1级报警 2-2级报警
     */
    private Integer alertLevel;

    /**
     * 车速 单位km/h
     */
    private BigDecimal vehicleSpeed;

    /**
     * 0-正常 1-异常
     */
    private Integer elevation;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 经度
     */
    private BigDecimal lon;

    /**
     * 高德纬度
     */
    private BigDecimal gdLat;

    /**
     * 高德经度
     */
    private BigDecimal gdLon;

    /**
     * 告警时间-开始时间
     */
    private Date alertStartTime;

    /**
     * 告警时间-结束时间
     */
    private Date alertEndTime;

    /**
     * acc状态 0-关闭 1-打开
     */
    private Integer accStatus;

    /**
     * 左转向状态 0-关闭 1-打开
     */
    private Integer leftTurnStatus;

    /**
     * 右转向状态 0-关闭 1-打开
     */
    private Integer rightTurnStatus;

    /**
     * 雨刮器状态 0-关闭 1-打开
     */
    private Integer wiperStatus;

    /**
     * 制动状态 0-未制动 1-制动
     */
    private Integer brakeStatus;

    /**
     * 插卡状态 0-未插卡 1-已插卡
     */
    private Integer cardInsertStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 声音url
     */
    private String voiceUrl;

    /**
     * 视频url
     */
    private String videoUrl;

    /**
     * 图片url
     */
    private String imgUrl;

    /**
     * 驾驶员名称
     */
    private String driverName;

    /**
     * 驾驶员id
     */
    private String driverId;


}
