package com.gci.cdenv.data.consume.app.modules.gps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 充电记录表
 * </p>
 *
 * @author lyz
 * @since 2023-08-31
 */
@Getter
@Setter
@TableName("tb_gis_charge_log")
public class GisChargeLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 车牌号
     */
    private String numberPlate;

    /**
     * 所属项目id
     */
    private String projectId;

    /**
     * 所属项目名称
     */
    private String projectName;

    /**
     * VIN 码
     */
    private String vinCode;

    /**
     * 充电开始时间
     */
    private Date startTime;

    /**
     * 充电结束时间
     */
    private Date endTime;

    /**
     * 开始充电时的 SOC %
     */
    private BigDecimal startSoc;

    /**
     * 结束充电时的 SOC %
     */
    private BigDecimal endSoc;

    /**
     * 充电比 %
     */
    private BigDecimal chargingEfficiency;

    /**
     * 充电量 kwh
     */
    private BigDecimal chargingEnergy;

    /**
     * 电池总电量
     */
    private BigDecimal totalBatteryEnergy;

    /**
     * 经度
     */
    private BigDecimal lon;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 高德经度
     */
    private BigDecimal gdLon;

    /**
     * 高德纬度
     */
    private BigDecimal gdLat;

    /**
     * 采集时间
     */
    private Date collectionTime;

    /**
     * 入库时间
     */
    private Date createTime;


}
