package com.gci.cdenv.data.consume.app.modules.gps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 围栏告警记录表
 * </p>
 *
 * @author lyz
 * @since 2023-08-31
 */
@Getter
@Setter
@TableName("tb_gis_fence_alarm")
public class GisFenceAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 围栏名称
     */
    private String name;

    /**
     * 车牌号
     */
    private String plateNumber;

    /**
     * 驾驶员名称
     */
    private String driverName;

    /**
     * 驾驶员id
     */
    private String driverId;

    /**
     * 所属项目id
     */
    private String projectId;

    /**
     * 围栏类型 1-停场 2-行驶
     */
    private Integer fenceType;

    /**
     * 告警开始时间
     */
    private Date startTime;

    /**
     * 告警结束时间
     */
    private Date endTime;

    /**
     * 所属机构
     */
    private String sysOrgCode;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 经度
     */
    private BigDecimal lon;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 高德经度
     */
    private BigDecimal gdLon;

    /**
     * 高德纬度
     */
    private BigDecimal gdLat;


}
