package com.gci.cdenv.data.consume.app.modules.gps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author lyz
 * @since 2023-08-31
 */
@Getter
@Setter
@TableName("tb_gis_gps")
public class GisGps implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 车牌号
     */
    private String plateNumber;

    /**
     * 定位终端标识
     */
    private String gpsNo;

    /**
     * 车辆状态  1-启动  2-熄火 3-其它  -99-无效 -100：异常
     */
    private Integer status;

    /**
     * gps采集时间
     */
    private Date gpsTime;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 经度
     */
    private BigDecimal lon;

    /**
     * 速度 单位km/h
     */
    private BigDecimal speed;

    /**
     * 方向角
     */
    private String dir;

    /**
     * 高程
     */
    private BigDecimal altitude;

    /**
     * acc状态 0-熄火 1-点火
     */
    private Integer acc;

    /**
     * 充电状态  1-停车充电、2-行驶充电、3-未充电  4-充电完成、-99-无效、-100-异常
     */
    private Integer chargeStatus;

    /**
     * 运行模式 1-纯电 2-混动 3-燃油 -99-无效、-100-异常
     */
    private Integer operatingMode;

    /**
     * 累计里程 单位km
     */
    private BigDecimal totalMileage;

    /**
     * 总电压 单位V
     */
    private BigDecimal totalVoltage;

    /**
     * 总电流 单位A
     */
    private BigDecimal totalCurrent;

    /**
     * 剩余电量比例 %
     */
    private Integer stateOfCharge;

    /**
     * dc-状态 1-工作 2-断开
     */
    private Integer dcStatus;

    /**
     * 挡位
     */
    private String gearPosition;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 来源 1-808 2-eic 3-1078
     */
    private Integer recordSource;

    /**
     * 是否有效  1-有效 0-无效
     */
    private Integer isValid;

    /**
     * 是否作业 0-否 1-是
     */
    private Integer isWork;

    /**
     * 近光灯 0-关闭 1-开启 -1无效
     */
    private Integer lowBeam;

    /**
     * 远光灯 0-关闭 1-开启  -1无效
     */
    private Integer highBeam;

    /**
     * 是否倒挡 0-否 1-是
     */
    private Integer reverseGear;

    /**
     * 终端直连 1-是 0-否
     */
    private Integer terminalConn;

    @TableField(exist = false)
    private String projectId;

    @TableField(exist = false)
    private String projectName;

}
