package com.gci.cdenv.data.consume.app.modules.gps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 超速记录表
 * </p>
 *
 * @author lyz
 * @since 2023-08-31
 */
@Getter
@Setter
@TableName("tb_gis_speeding_alarm")
public class GisSpeedingAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 车牌号
     */
    private String plateNumber;

    /**
     * 定位终端设备号
     */
    private String gpsNo;
    /**
     * 驾驶员名称
     */
    private String driverName;
    /**
     * 驾驶员id
     */
    private String driverId;
    /**
     * 所属项目id
     */
    private String projectId;

    /**
     * 规定车速
     */
    private BigDecimal ruleSpeed;
    /**
     * 车速（最高速度）
     */
    private BigDecimal speed;

    /**
     * 车速（平均速度）
     */
    private BigDecimal averageSpeed;

    /**
     * 告警开始时间
     */
    private Date startTime;

    /**
     * 告警结束时间
     */
    private Date endTime;

    /**
     * 所属机构
     */
    private String sysOrgCode;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 开始经度(高德)
     */
    private BigDecimal startLon;

    /**
     * 开始纬度(高德)
     */
    private BigDecimal startLat;

    /**
     * 结束经度(高德)
     */
    private BigDecimal endLon;

    /**
     * 结束纬度(高德)
     */
    private BigDecimal endLat;

    /**
     * 规则名称
     */
    private String thresholdName;
}
