package com.gci.cdenv.data.consume.app.modules.gps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 车辆车机故障异常记录表
 * </p>
 *
 * @author lyz
 * @since 2023-08-31
 */
@Getter
@Setter
@TableName("tb_gis_vehicle_fault_alarm")
public class GisVehicleFaultAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 车牌号
     */
    private String plateNumber;

    /**
     * vin码
     */
    private String vinCode;

    /**
     * 故障名称
     */
    private String faultName;
    /**
     * 所属项目id
     */
    private String projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 故障类型
     */
    private Integer faultType;

    /**
     * 故障码
     */
    private String faultCode;

    /**
     * 告警开始时间
     */
    private Date alarmStartTime;

    /**
     * 告警结束时间
     */
    private Date alarmEndTime;

    /**
     * 是否关闭
     */
    private Integer isClosed;

    /**
     * 关闭时间
     */
    private Date closeTime;

    /**
     * 故障等级
     */
    private Integer faultLevel;

    /**
     * 入库时间
     */
    private Date collectionTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 经度
     */
    private BigDecimal lon;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 高德经度
     */
    private BigDecimal gdLon;

    /**
     * 高德纬度
     */
    private BigDecimal gdLat;

}
