package com.gci.cdenv.data.consume.app.modules.gps.mapper;

import com.gci.cdenv.data.consume.app.modules.gps.dto.VehicleInfoDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface CommonMapper {

    @Select("select g.gps_time,g.support_eic,v.project_id ,v.plate_number ,v.vin_code ,v.active_safety_device_id ,v.location_terminal_id, v.battery_capacity, p.project_name,v.vehicle_brand,v.vehicle_type from tb_vehicle v " +
            " left join tb_projects p on v.project_id = p.id left join tb_gis_runningbus g on v.plate_number = g.plate_number where v.vin_code = #{vin}")
    VehicleInfoDTO getVehicleInfoByVin(@Param("vin") String vin);

    @Select("select g.gps_time,g.support_eic,v.project_id ,v.plate_number ,v.vin_code ,v.active_safety_device_id ,v.location_terminal_id, v.battery_capacity, p.project_name,v.vehicle_brand,v.vehicle_type   from tb_vehicle v " +
            " left join tb_projects p on v.project_id = p.id left join tb_gis_runningbus g on v.plate_number = g.plate_number where v.location_terminal_id = #{vtKey}")
    VehicleInfoDTO getVehicleInfoByVtKey(@Param("vtKey") String vtKey);

    @Select("select g.gps_time,g.support_eic,v.project_id ,v.plate_number ,v.vin_code ,v.active_safety_device_id ,v.location_terminal_id, v.battery_capacity, p.project_name,v.vehicle_brand,v.vehicle_type  from tb_vehicle v " +
            " left join tb_projects p on v.project_id = p.id left join tb_gis_runningbus g on v.plate_number = g.plate_number where v.plate_number = #{plateNumber}")
    VehicleInfoDTO getVehicleInfoByPlateNumber(@Param("plateNumber") String plateNumber);

    @Select("select g.gps_time,g.support_eic,v.project_id ,v.plate_number ,v.vin_code ,v.active_safety_device_id ,v.location_terminal_id, v.battery_capacity, p.project_name,v.vehicle_brand,v.vehicle_type  from tb_vehicle v " +
            " left join tb_projects p on v.project_id = p.id left join tb_gis_runningbus g on v.plate_number = g.plate_number where v.active_safety_device_id = #{safetyId}")
    VehicleInfoDTO getVehicleInfoBySafetyId(@Param("safetyId") String safetyId);
}
