package com.gci.cdenv.data.consume.app.modules.gps.mapper;

import com.gci.cdenv.data.consume.app.modules.gps.entity.GisRunningbus;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.Date;

/**
 * <p>
 * 车辆实时信息表 Mapper 接口
 * </p>
 *
 * @author lyz
 * @since 2023-08-31
 */
public interface GisRunningbusMapper extends BaseMapper<GisRunningbus> {

    @Select("select id from tb_gis_runningbus where vin_code = #{vin}")
    String selectIdByVin(@Param("vin") String vin);

    @Select("select * from tb_gis_runningbus where plate_number = #{plateNumber}")
    GisRunningbus selectByPlateNumber(@Param("plateNumber") String plateNumber);


    @Update("UPDATE tb_gis_runningbus SET is_online = 0 WHERE (#{time} - gps_time) > interval '3 minutes'")
    void updateOnlineStatusToZero(@Param("time")Date time);

    @Update("UPDATE tb_gis_speeding_alarm SET end_time = #{time}  WHERE plate_number = #{plateNumber} and end_time is null")
    void updateSpeedAlarmRecord(@Param("time")Date time,@Param("plateNumber")String plateNumber);

    @Update("UPDATE tb_gis_fence_alarm SET end_time = #{time}  WHERE  id = #{id} and end_time is null")
    void updateFenceAlarmRecord(@Param("time")Date time,@Param("id")String id);


    @Update("UPDATE tb_gis_runningbus SET safety_alarm = #{safetyAlarm} WHERE  id = #{id}")
    void updateActiveSafety(@Param("safetyAlarm")Integer safetyAlarm,@Param("id")String id);


}
