package com.gci.cdenv.data.consume.app.modules.gps.service;

import com.gci.cdenv.data.consume.app.modules.common.RedisKey;
import com.gci.cdenv.data.consume.app.modules.common.util.JsonUtil;
import com.gci.cdenv.data.consume.app.modules.gps.dto.DriverSignInDto;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

/**
 * @author lyz
 * @date 2023/9/15 11:50
 */
@Service
@Slf4j
public class VehicleBindDriverService {

    @Autowired
    private StringRedisTemplate redisTemplate;

    public DriverSignInDto getCacheDriverInfo(String plateNumber) {
        DriverSignInDto dto = null;
        String data = redisTemplate.opsForValue().get(RedisKey.VEHICLE_BIND_DRIVER + plateNumber);
        if (data == null) {
            return null;
        }
        try{
            dto = JsonUtil.json2Object(data, DriverSignInDto.class);
        }catch (Exception e){
            e.printStackTrace();
            log.error("获取车辆绑定司机信息失败，-{}",plateNumber);
        }
        return dto;
    }
}
